.sg-r-not-recommend {
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 8px;
	padding: 2px;
	background-color: var(--radical-red-400);
	color: var(--white);
	font-size: 14px;
	font-weight: 600;
	line-height: 20px;
	text-transform: uppercase;
	border-top-left-radius: 12px;
	border-top-right-radius: 12px;
	margin-top: 16px;
}

.sg-r-not-recommend .svg-icon {
	font-size: 16px;
}

.sg-r-header {
	display: flex;
	flex-wrap: wrap;
	background-color: var(--whisper-950);
	padding: 12px;
	color: var(--white);
	margin-bottom: 40px;
	border-bottom-left-radius: 12px;
	border-bottom-right-radius: 12px;
}

.sg-r-header:not(.not-recommend) {
	margin-top: 16px;
	border-top-left-radius: 12px;
	border-top-right-radius: 12px;
}

.sg-r-header__top {
	display: flex;
	align-items: center;
	gap: 8px;
	width: 100%;
}

.sg-r-header__logo img {
	width: 100%;
	max-width: 152px;
	height: 50px;
	object-fit: contain;
}

.sg-r--header__rating {
	display: flex;
	align-items: center;
	gap: 8px;
}

.sg-r--header__rating-number {
	font-size: 32px;
	font-weight: 600;
	line-height: 48px;
}

.sg-r--header__rating-body--text {
	font-size: 12px;
	color: var(--whisper-400);
	line-height: 14px;
	margin-top: 4px;
}

.sg-r-header__stats {
	display: grid;
	grid-template-columns: repeat(4, 1fr);
}

.sg-r-header__stat {
	display: flex;
	align-items: center;
	gap: 8px;
}

.sg-r-header__stat--value {
	font-size: 20px;
	font-weight: 600;
	line-height: 24px;
}

.sg-r-header__stat--label {
	font-size: 14px;
	color: var(--whisper-400);
	line-height: 14px;
}

.sg-r-header__bonuses {
	display: grid;
	grid-gap: 12px;
	width: 100%;
}

.sg-r-header__bonus {
	display: flex;
	align-items: center;
	gap: 12px;
	padding: 12px;
	background-color: var(--azure-radiance-950);
	border: 1px solid var(--azure-radiance-900);
	border-radius: 12px;
}

.sg-r-header__bonuses-text {
	font-size: 18px;
	font-weight: 600;
	line-height: 24px;
}

.sg-r-header__bonuses-btn {
	min-width: 160px;
	flex-shrink: 0;
}

.sg-r-header__bonuses-btn--additional-play:not(:empty) ~ .sg-r-header__bonuses-btn--additional-promocode {
	display: none;
}

.sg-r-header__bonus-not {
	width: 100%;
	padding: 24px;
	text-align: center;
	color: var(--whisper-700);
	font-size: 14px;
	line-height: 20px;
	border: 1px dashed var(--whisper-700);
	border-radius: 12px;
}

.sg-r-header__bottom-links {
	display: flex;
}

.sg-r-header__bottom-link-platforms {
	display: flex;
	align-items: center;
	gap: 8px;
}

.sg-r-header__bottom-link-platforms a {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 50px;
	height: 50px;
	color: var(--white);
	font-size: 20px;
	box-shadow: inset 0 0 0 1px var(--whisper-800);
	border-radius: 12px;
	transition: box-shadow ease .1s;
}

.sg-r-header__bottom-link-platforms a:not([href="#"]):hover {
	box-shadow: inset 0 0 0 2px var(--white);
}

.sg-r-header__bottom-link-platforms a[href="#"] {
	cursor: default;
}


.sg-r-header__bottom-btns {
	display: flex;
	align-items: center;
	gap: 8px;
}

.sg-r-header__rooms {
	position: relative;
	display: grid;
	grid-gap: 28px;
	width: 100%;
	margin-top: 24px;
	z-index: 1;
}

@media (max-width: 1199.98px) {
	.sg-r-header__bottom-links,
	.sg-r-header__bottom-btns {
		width: 100%;
	}
}

@media (max-width: 991.98px) {
	.sg-r-header__top {
		flex-wrap: wrap;
	}

	.sg-r-header__logo {
		width: calc(100% - 225px);
	}

	.sg-r-header__stats {
		width: 100%;
	}
}

@media (max-width: 575.98px) {
	.sg-r-header {
		gap: 12px;
	}

	.sg-r-header__top {
		order: 0;
	}

	.sg-r-header__logo {
		width: calc(100% - 155px);
	}

	.sg-r--header__rating-body .pkr-stars .svg-icon {
		font-size: 16px;
	}

	.sg-r-header__stats {
		text-align: center;
	}

	.sg-r-header__stat {
		justify-content: center;
	}

	.sg-r-header__stat .svg-icon {
		display: none;
	}

	.sg-r-header__bottom-links {
		order: 1;
		flex-wrap: wrap;
	}

	.sg-r-header__bottom-link-btn--play {
		width: 100%;
	}

	.sg-r-header__bottom-link-platforms {
		width: 100%;
		flex-wrap: wrap;
		margin-top: 8px;
	}

	.sg-r-header__bottom-link-platforms a {
		flex: 1 0 auto;
	}

	.sg-r-header__bonuses,
	.sg-r-header__bonus-not {
		order: 2;
	}

	.sg-r-header__bonus {
		flex-direction: column;
		text-align: center;
	}

	.sg-r-header__bottom-btns {
		order: 3;
		flex-wrap: wrap;
	}

	.sg-r-header__bottom-btn {
		width: 100%;
	}
}

@media (min-width: 576px) {
	.sg-r-not-recommend {
		margin-top: 24px;
	}

	.sg-r-header {
		padding: 24px;
		margin-bottom: 24px;
	}

	.sg-r-header:not(.not-recommend) {
		margin-top: 24px;
	}

	.sg-r-header__top {
		gap: 20px;
	}

	.sg-r-header__logo img {
		max-width: 288px;
		height: 96px;
	}

	.sg-r--header__rating-number {
		font-size: 52px;
	}

	.sg-r--header__rating-body--text {
		font-size: 14px;
	}

	.sg-r-header__stats {
		grid-gap: 12px;
	}

	.sg-r-header__stat .svg-icon {
		flex-shrink: 0;
		font-size: 38px;
	}

	.sg-r-header__stat--label {
		margin-top: 4px;
	}

	.sg-r-header__bonus {
		padding: 24px;
	}

	.sg-r-header__bonuses, 
	.sg-r-header__bonus-not {
		margin-top: 23px;
		margin-bottom: 23px;
	}

	.sg-r-header__bonus-not {
		font-size: 18px;
		line-height: 24px;
	}

	.sg-r-header__bonuses-btn {
		margin-left: auto;
	}

	.sg-r-header__bottom-links {
		gap: 24px;
		flex: auto;
	}

	.sg-r-header__bottom-link-btn--play {
		flex: 1;
	}

	.sg-r-header__bottom-btns {
		margin-top: 24px;
		gap: 24px;
	}

	.sg-r-header__bottom-btn {
		flex: 1;
	}
}

@media (min-width: 768px) {
	.sg-r-header__rooms {
		grid-template-columns: repeat(2, 1fr);
		grid-gap: 24px;
	}
}

@media (min-width: 992px) {
	.sg-r-header__bottom-link-platforms .platform--windows,
	.sg-r-header__bottom-link-platforms .platform--desktop,
	.sg-r-header__bottom-link-platforms .platform--mobile {
		order: -1;
	}

	.sg-r-header__stats {
		margin-left: auto;
		flex-shrink: 0;
	}

	.sg-r-header__bonuses {
		grid-template-columns: repeat(auto-fit, minmax(448px, 1fr));
		grid-gap: 24px;
	}
}

@media (min-width: 1200px) {
	.sg-r-header__stat .svg-icon {
		font-size: 44px;
	}

	.sg-r-header__bottom-links {
		max-width: 497px;
		margin-right: 24px;
	    flex: auto;
	}

	.sg-r-header__bottom-btns {
		max-width: 638px;
		margin-left: auto;
		flex: auto;
		margin-top: 0;
	}
}